Package csb :: Package bio :: Package nmr :: Class NOEPeak

[frames] | no frames]

# Class NOEPeak

source code

    object --+
             |
            NOEPeak

Describes a single NOE peak.

Instance Methods

__getitem__(self, column) | source code

__init__(self, intensity, dimensions, spectrum) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__iter__(self) | source code

__str__(self) str(x) | source code

iterable of EnumItem

connected_dimensions(self, i) Return a list of all dimension indices, covalently connected to dimension `i`. | source code

EnumItem

element(self, i) Return the dimension (nucleus) type at dimension index i | source code

float

get(self, column) Get the value of the specified dimension. | source code

bool

has_connected_dimensions(self, i) Return True of dimension index `i` has covalently connected dimensions. | source code

bool

has_element(self, e) Return True if the owning spectrum contains a dimension of the specified type | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
float | intensity Peak intensity
int | num_dimensions Number of dimensions
Inherited from `object`: `__class__`

Method Details

### __init__(self, intensity, dimensions, spectrum)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `intensity` (float) - peak intensity
  - `dimensions` (iterable of float) - list of dimension values
  - `spectrum` (NOESpectrum) - owning NOE spectrum
Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

### connected_dimensions(self, i)

source code

Return a list of all dimension indices, covalently connected to dimension `i`.

Parameters:
  - `i` (int) - dimension index (0-based)
Returns: iterable of EnumItem

### element(self, i)

source code

Return the dimension (nucleus) type at dimension index i

Parameters:
  - `i` (int) - dimension index (0-based)
Returns: EnumItem
  nucleus type

### get(self, column)

source code

Get the value of the specified dimension.

Parameters:
  - `column` (int) - dimension index (0-based)
Returns: float
  dimension value

### has_connected_dimensions(self, i)

source code

Return True of dimension index `i` has covalently connected dimensions.

Parameters:
  - `i` (int) - dimension index (0-based)
Returns: bool

### has_element(self, e)

source code

Return True if the owning spectrum contains a dimension of the specified type

Parameters:
  - `e` (EnumItem) - element (dimension) type (see ChemElements)
Returns: bool

Property Details

### intensity

Peak intensity

Get Method:
  unreachable.intensity(self) - Peak intensity
Type:
  float

### num_dimensions

Number of dimensions

Get Method:
  unreachable.num_dimensions(self) - Number of dimensions
Type:
  int